Skip to main content

Delete Instrument Identifier


Use this information to send a DELETE request to delete an instrument identifier.

Endpoints

DELETE /tms/v1/instrumentidentifiers/{id}

DELETE /tms/v1/instrumentidentifiers/{id}

The id is the instrument identifier ID that was returned in a Token Management Service (TMS) response, for example:

{  "tokenInformation": {    "instrumentIdentifier": {      "id": "CD616772D8355EA6E053AF598E0AE794"    }  }}
{}
No response body
{    "_links": {        "paymentInstruments": {            "href": "/tms/v1/instrumentidentifiers/CD776F4472D6AC69E053AF598E0A30F3/paymentinstruments"        }    },    "errors": [        {            "type": "instrumentIdentifierDeletionError",            "message": "Action cannot be performed as the InstrumentIdentifier is associated with one or more PaymentInstruments"        }    ]}
{    "errors": [        {            "type": "notAvailable",            "message": "Token not available"        }    ]}

Last published: September 29, 2026